org.apache.lucene.util

## Class ByteBlockPool.DirectAllocator

- java.lang.Object
- - org.apache.lucene.util.ByteBlockPool.Allocator
  - - org.apache.lucene.util.ByteBlockPool.DirectAllocator

Enclosing class:
  ByteBlockPool

    public static final class ByteBlockPool.DirectAllocator
    extends ByteBlockPool.Allocator

A simple `ByteBlockPool.Allocator` that never recycles.

### Field Summary

### Fields inherited from class org.apache.lucene.util.ByteBlockPool.Allocator

`blockSize`

### Constructor Summary

Constructors
Constructor and Description
`ByteBlockPool.DirectAllocator()`
`ByteBlockPool.DirectAllocator(int blockSize)`

### Method Summary

Methods
`void` `recycleByteBlocks(byte[][] blocks, int start, int end)`

### Methods inherited from class org.apache.lucene.util.ByteBlockPool.Allocator

`getByteBlock, recycleByteBlocks`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ByteBlockPool.DirectAllocator

    public ByteBlockPool.DirectAllocator()

#### ByteBlockPool.DirectAllocator

    public ByteBlockPool.DirectAllocator(int blockSize)

### Method Detail

#### recycleByteBlocks

    public void recycleByteBlocks(byte[][] blocks,
                         int start,
                         int end)

Specified by:
  `recycleByteBlocks` in class `ByteBlockPool.Allocator`